CRAN Package Check Results for Maintainer ‘Christoph Glur <christoph.glur at ipub.com>’

Last updated on 2020-12-01 23:48:52 CET.

Package ERROR WARN OK
ahp 5 7
data.tree 3 9

Package ahp

Current CRAN status: ERROR: 5, OK: 7

Version: 0.2.12
Check: tests
Result: ERROR
     Running 'testthat.R' [23s/25s]
    Running the tests in 'tests/testthat.R' failed.
    Complete output:
     > library(testthat)
     >
     > test_check("ahp")
     Loading required package: ahp
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     -- FAILURE (test-ahpBasics.R:36:3): alternatives order -------------------------
     `aw` not equal to sort(aw, decreasing = TRUE).
     Length mismatch: comparison on first 1 components
    
     -- FAILURE (test-ahpBasics.R:42:3): alternatives order -------------------------
     `aw` not equal to sort(aw, decreasing = TRUE).
     Length mismatch: comparison on first 1 components
    
     == testthat results ===========================================================
     FAILURE (test-ahpBasics.R:36:3): alternatives order
     FAILURE (test-ahpBasics.R:42:3): alternatives order
    
     [ FAIL 2 | WARN 0 | SKIP 0 | PASS 466 ]
     Error: Test failures
     Execution halted
Flavor: r-devel-linux-x86_64-debian-clang

Version: 0.2.12
Check: tests
Result: ERROR
     Running ‘testthat.R’ [17s/26s]
    Running the tests in ‘tests/testthat.R’ failed.
    Complete output:
     > library(testthat)
     >
     > test_check("ahp")
     Loading required package: ahp
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     ── FAILURE (test-ahpBasics.R:36:3): alternatives order ─────────────────────────
     `aw` not equal to sort(aw, decreasing = TRUE).
     Length mismatch: comparison on first 1 components
    
     ── FAILURE (test-ahpBasics.R:42:3): alternatives order ─────────────────────────
     `aw` not equal to sort(aw, decreasing = TRUE).
     Length mismatch: comparison on first 1 components
    
     ══ testthat results ═══════════════════════════════════════════════════════════
     FAILURE (test-ahpBasics.R:36:3): alternatives order
     FAILURE (test-ahpBasics.R:42:3): alternatives order
    
     [ FAIL 2 | WARN 0 | SKIP 0 | PASS 466 ]
     Error: Test failures
     Execution halted
Flavor: r-devel-linux-x86_64-debian-gcc

Version: 0.2.12
Check: tests
Result: ERROR
     Running ‘testthat.R’ [26s/32s]
    Running the tests in ‘tests/testthat.R’ failed.
    Complete output:
     > library(testthat)
     >
     > test_check("ahp")
     Loading required package: ahp
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     ── FAILURE (test-ahpBasics.R:36:3): alternatives order ─────────────────────────
     `aw` not equal to sort(aw, decreasing = TRUE).
     Length mismatch: comparison on first 1 components
    
     ── FAILURE (test-ahpBasics.R:42:3): alternatives order ─────────────────────────
     `aw` not equal to sort(aw, decreasing = TRUE).
     Length mismatch: comparison on first 1 components
    
     ══ testthat results ═══════════════════════════════════════════════════════════
     FAILURE (test-ahpBasics.R:36:3): alternatives order
     FAILURE (test-ahpBasics.R:42:3): alternatives order
    
     [ FAIL 2 | WARN 0 | SKIP 0 | PASS 466 ]
     Error: Test failures
     Execution halted
Flavor: r-devel-linux-x86_64-fedora-clang

Version: 0.2.12
Check: tests
Result: ERROR
     Running ‘testthat.R’ [27s/33s]
    Running the tests in ‘tests/testthat.R’ failed.
    Complete output:
     > library(testthat)
     >
     > test_check("ahp")
     Loading required package: ahp
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     ── FAILURE (test-ahpBasics.R:36:3): alternatives order ─────────────────────────
     `aw` not equal to sort(aw, decreasing = TRUE).
     Length mismatch: comparison on first 1 components
    
     ── FAILURE (test-ahpBasics.R:42:3): alternatives order ─────────────────────────
     `aw` not equal to sort(aw, decreasing = TRUE).
     Length mismatch: comparison on first 1 components
    
     ══ testthat results ═══════════════════════════════════════════════════════════
     FAILURE (test-ahpBasics.R:36:3): alternatives order
     FAILURE (test-ahpBasics.R:42:3): alternatives order
    
     [ FAIL 2 | WARN 0 | SKIP 0 | PASS 466 ]
     Error: Test failures
     Execution halted
Flavor: r-devel-linux-x86_64-fedora-gcc

Version: 0.2.12
Check: tests
Result: ERROR
     Running 'testthat.R' [29s]
    Running the tests in 'tests/testthat.R' failed.
    Complete output:
     > library(testthat)
     >
     > test_check("ahp")
     Loading required package: ahp
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     [1] "Node$fieldsAll will be deprecated in the next release. Please use Node$attributesAll instead."
     [1] "Node$fields will be deprecated in the next release. Please use Node$attributes instead."
     -- FAILURE (test-ahpBasics.R:36:3): alternatives order -------------------------
     `aw` not equal to sort(aw, decreasing = TRUE).
     Length mismatch: comparison on first 1 components
    
     -- FAILURE (test-ahpBasics.R:42:3): alternatives order -------------------------
     `aw` not equal to sort(aw, decreasing = TRUE).
     Length mismatch: comparison on first 1 components
    
     == testthat results ===========================================================
     FAILURE (test-ahpBasics.R:36:3): alternatives order
     FAILURE (test-ahpBasics.R:42:3): alternatives order
    
     [ FAIL 2 | WARN 0 | SKIP 0 | PASS 466 ]
     Error: Test failures
     Execution halted
Flavor: r-devel-windows-ix86+x86_64

Package data.tree

Current CRAN status: WARN: 3, OK: 9

Version: 1.0.0
Check: re-building of vignette outputs
Result: WARN
    Error(s) in re-building vignettes:
     ...
    --- re-building ‘applications.Rmd’ using rmarkdown
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) and/or pandoc-citeproc not available. Falling back to R Markdown v1.
    --- finished re-building ‘applications.Rmd’
    
    --- re-building ‘data.tree.Rmd’ using rmarkdown
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) and/or pandoc-citeproc not available. Falling back to R Markdown v1.
    Quitting from lines 513-516 (data.tree.Rmd)
    Error: processing vignette 'data.tree.Rmd' failed with diagnostics:
    there is no package called 'webshot'
    --- failed re-building ‘data.tree.Rmd’
    
    SUMMARY: processing the following file failed:
     ‘data.tree.Rmd’
    
    Error: Vignette re-building failed.
    Execution halted
Flavor: r-patched-solaris-x86

Version: 1.0.0
Check: re-building of vignette outputs
Result: WARN
    Error(s) in re-building vignettes:
     ...
    --- re-building ‘applications.Rmd’ using rmarkdown
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) and/or pandoc-citeproc not available. Falling back to R Markdown v1.
    --- finished re-building ‘applications.Rmd’
    
    --- re-building ‘data.tree.Rmd’ using rmarkdown
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) and/or pandoc-citeproc not available. Falling back to R Markdown v1.
    PhantomJS not found. You can install it with webshot::install_phantomjs(). If it is installed, please make sure the phantomjs executable can be found via the PATH variable.
    Warning in normalizePath(f2) :
     path[1]="webshot42ce5d62669.png": No such file or directory
    Warning in file(con, "rb") :
     cannot open file 'webshot42ce5d62669.png': No such file or directory
    Quitting from lines 513-516 (data.tree.Rmd)
    Error: processing vignette 'data.tree.Rmd' failed with diagnostics:
    cannot open the connection
    --- failed re-building ‘data.tree.Rmd’
    
    SUMMARY: processing the following file failed:
     ‘data.tree.Rmd’
    
    Error: Vignette re-building failed.
    Execution halted
Flavor: r-release-macos-x86_64

Version: 1.0.0
Check: re-building of vignette outputs
Result: WARN
    Error(s) in re-building vignettes:
     ...
    --- re-building ‘applications.Rmd’ using rmarkdown
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) and/or pandoc-citeproc not available. Falling back to R Markdown v1.
    --- finished re-building ‘applications.Rmd’
    
    --- re-building ‘data.tree.Rmd’ using rmarkdown
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) and/or pandoc-citeproc not available. Falling back to R Markdown v1.
    PhantomJS not found. You can install it with webshot::install_phantomjs(). If it is installed, please make sure the phantomjs executable can be found via the PATH variable.
    Warning in normalizePath(f2) :
     path[1]="webshotcaab7296c7fb.png": No such file or directory
    Warning in file(con, "rb") :
     cannot open file 'webshotcaab7296c7fb.png': No such file or directory
    Quitting from lines 513-516 (data.tree.Rmd)
    Error: processing vignette 'data.tree.Rmd' failed with diagnostics:
    cannot open the connection
    --- failed re-building ‘data.tree.Rmd’
    
    SUMMARY: processing the following file failed:
     ‘data.tree.Rmd’
    
    Error: Vignette re-building failed.
    Execution halted
Flavor: r-oldrel-macos-x86_64